For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
            • GETList Available Currencies
            • GETList Store-Level Order Statuses
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontStore Settings

List Store-Level Order Statuses

GET
https://api-b2b.bigcommerce.com/api/v2/stores/order-statuses
GET
/api/v2/stores/order-statuses
$curl https://api-b2b.bigcommerce.com/api/v2/stores/order-statuses \
> -H "Authorization: Bearer <token>"
200200 - SUCCESS
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "orderStatuses": [
6 {
7 "systemLabel": "Incomplete",
8 "customLabel": "Incomplete",
9 "statusCode": "0"
10 },
11 {
12 "systemLabel": "Pending",
13 "customLabel": "Pending",
14 "statusCode": "1"
15 },
16 {
17 "systemLabel": "Awaiting Payment",
18 "customLabel": "Invoice Sent",
19 "statusCode": "7"
20 },
21 {
22 "systemLabel": "Awaiting Fulfillment",
23 "customLabel": "Awaiting Fulfillment",
24 "statusCode": "11"
25 }
26 ]
27 }
28}
Returns a list of all order statuses, including status codes and custom status names. For more information about order statuses generally, see [Order Status](/developer/api-reference/rest/admin/management/orders/order-status) or [Order Statuses](https://support.bigcommerce.com/s/article/Order-Statuses). Equivalent Storefront GraphQL API Query: `orderStatuses`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

List Available Currencies

Next

Management

Built with

Returns a list of all order statuses, including status codes and custom status names. For more information about order statuses generally, see Order Status or Order Statuses.

Equivalent Storefront GraphQL API Query: orderStatuses. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Response

OK
codeintegerDefaults to 200
HTTP response code for the request.
messagestringDefaults to SUCCESS
Message indicating the status of the request.
dataobject
Data associated with the response.